Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBasePropertyExpression

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBasePropertyExpression

All Implemented Interfaces:
  java.io.Serializable, JRChangeEventsSupport, JRPropertyExpression

Direct Known Subclasses:
  JRDesignPropertyExpression

    public class JRBasePropertyExpression

extends java.lang.Object
implements JRPropertyExpression, java.io.Serializable, JRChangeEventsSupport

Base implementation of `JRPropertyExpression`.

Version:
  $Id: JRBasePropertyExpression.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_NAME`
`static java.lang.String` | `pROPERTY_VALUE_EXPRESSION`

Constructor Summary
`protected` | `JRBasePropertyExpression()`
`` | `JRBasePropertyExpression(JRPropertyExpression propertyExpression, JRBaseObjectFactory factory)`

Method Summary
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`java.lang.String` | `getName()` Return the property name.
`JRExpression` | `getValueExpression()` Return the property value expression.
`void` | `setName(java.lang.String name)` Set the property name.
`protected void` | `setValueExpression(JRExpression valueExpression)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

See Also:
  Constant Field Values

### pROPERTY_VALUE_EXPRESSION

    public static final java.lang.String pROPERTY_VALUE_EXPRESSION

See Also:
  Constant Field Values

Constructor Detail

### JRBasePropertyExpression

    protected JRBasePropertyExpression()

### JRBasePropertyExpression

    public JRBasePropertyExpression(JRPropertyExpression propertyExpression,
                                    JRBaseObjectFactory factory)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `JRPropertyExpression`
  Return the property name.

  Specified by:
    `getName` in interface `JRPropertyExpression`
  Returns:
    the property name

### setName

    public void setName(java.lang.String name)

  Description copied from interface: `JRPropertyExpression`
  Set the property name.

  Specified by:
    `setName` in interface `JRPropertyExpression`
  Parameters:
    `name` - the property name

### getValueExpression

    public JRExpression getValueExpression()

  Description copied from interface: `JRPropertyExpression`
  Return the property value expression.

  Specified by:
    `getValueExpression` in interface `JRPropertyExpression`
  Returns:
    the property value expression

### setValueExpression

    protected void setValueExpression(JRExpression valueExpression)

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com